package com.ama.core.model

interface BaseDiffItem {
    fun getPrimaryKey(): Any
    fun <T> areContentsTheSame(newItem: T): Boolean = this == newItem
    fun <T> getChangePayload(newItem: T): Any? = newItem
}

